Using the µVision Socket Interface: UVSC_PSTAMP Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
UVSC_PSTAMP Struct Reference
Structs

## Data Fields
xU64 | nAdr
| Address of code shown in uVision (for testing purposes). More...
INT64 | ticks
| ULINKpro Isolation Adapter ticks since last RESET. More...
double | delta
| Time difference (sec) between ticks and the measurement timestamp. More...
double | time
| Absolute time value (sec) in uVision of a ticks and delta pair. More...
UINT | showSyncErr: 1
| Error message box shown in uVision if synchronization fails and showSyncErr is '1'. More...
UINT | nReservedBits: 31
| Reserved. More...
UINT | nRes [6]
| Reserved. More...

## Description

Timestamp for PowerScale

Contains the time for which to show:

- disassembly/HLL and trace entries in uVision.
- power measurement data in PowerScale.

This structure is used in the following messages:

Client ==> uVision (Request)

- UV_DBG_POWERSCALE_SHOWCODE
  Set ticks and delta for which to show code and trace entries in uVision.

Client <== uVision (Response)

- UV_DBG_POWERSCALE_SHOWCODE
  If successful, uVision returns the absolute time (seconds) and the instruction address nAdr for the displayed code (HLL, ASM) and trace entries.

uVision ==> Client (Request)

- UV_DBG_POWERSCALE_SHOWPOWER
  ticks and delta contain time information for which to show the measured power. time (sec) is the absolute value from uVision.

## Field Documentation

double UVSC_PSTAMP::delta

Time difference (sec) between ticks and the measurement timestamp.

xU64 UVSC_PSTAMP::nAdr

Address of code shown in uVision (for testing purposes).

UINT UVSC_PSTAMP::nRes[6]

Reserved.

UINT UVSC_PSTAMP::nReservedBits

Reserved.

UINT UVSC_PSTAMP::showSyncErr

Error message box shown in uVision if synchronization fails and showSyncErr is '1'.

INT64 UVSC_PSTAMP::ticks

ULINKpro Isolation Adapter ticks since last RESET.

double UVSC_PSTAMP::time

Absolute time value (sec) in uVision of a ticks and delta pair.